

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <mysql.h>

struct s_sourcedata {
    char* text;
    char* temperature;
    char* humidity;
};
typedef struct s_sourcedata sourcedata;


void finish_with_error(MYSQL *con);
void updateData(sourcedata data[]);

